#
# spec file for package libtimidity
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libtimidity
Version:        0.1.0
Release:        21.2
License:        LGPL-2.1+
Summary:        MIDI to WAVE converter library
Url:            http://libtimidity.sourceforge.net/
Group:          Development/Libraries/C and C++
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# PATCH-FIx-UPSTREAM libtimidity-0.1.0-missing-includes.patch dimstar@opensuse.org -- Add missing include statements.
Patch0:         libtimidity-0.1.0-missing-includes.patch
BuildRequires:  pkg-config

%description
This library is based on the TiMidity decoder from SDL_sound library.
Purpose to create this library is to avoid unnecessary dependences.
SDL_sound requires SDL and some other libraries, that not needed to
process MIDI files. In addition libtimidity provides more suitable
API to work with MIDI songs, it enables to specify full path to the
timidity configuration file, and have function to retrieve meta data
from MIDI song.

%package -n libtimidity-0_1-0
License:        LGPL-2.1+
Summary:        MIDI to WAVE converter library
Group:          System/Libraries

%description -n libtimidity-0_1-0
This library is based on the TiMidity decoder from SDL_sound library.
Purpose to create this library is to avoid unnecessary dependences.
SDL_sound requires SDL and some other libraries, that not needed to
process MIDI files. In addition libtimidity provides more suitable
API to work with MIDI songs, it enables to specify full path to the
timidity configuration file, and have function to retrieve meta data
from MIDI song.

%package        devel
License:        LGPL-2.1+
Summary:        MIDI to WAVE converter library - Development Files
Group:          Development/Libraries/C and C++
Requires:       libtimidity-0_1-0 = %{version}

%description    devel
This library is based on the TiMidity decoder from SDL_sound library.
Purpose to create this library is to avoid unnecessary dependences.
SDL_sound requires SDL and some other libraries, that not needed to
process MIDI files. In addition libtimidity provides more suitable
API to work with MIDI songs, it enables to specify full path to the
timidity configuration file, and have function to retrieve meta data
from MIDI song.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
%__make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%post -n libtimidity-0_1-0 -p /sbin/ldconfig

%postun -n libtimidity-0_1-0 -p /sbin/ldconfig

%files -n libtimidity-0_1-0
%defattr(-,root,root,-)
%doc AUTHORS CHANGES COPYING ChangeLog NEWS README* TODO
%{_libdir}/libtimidity-0.1.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/timidity.h
%{_libdir}/libtimidity.so
%{_libdir}/pkgconfig/libtimidity.pc

%changelog
* Sun May  1 2011 toddrme2178@gmail.com
- Added 32bit compatibility libraries
* Mon Sep  6 2010 dimstar@opensuse.org
- Initial import of libtimidity, spec based on Fedora package.
